【狂人論壇】

 找回密碼
 註冊
搜索

OpenSSL Heartbleed漏洞,中華數位產品不受影響!

[複製鏈接]

5231

主題

1萬

金錢

156

積分

不來恩

積分
156
brian 發表於 2014-4-13 21:50 | 顯示全部樓層 |閱讀模式
OpenSSL Heartbleed漏洞,中華數位產品不受影響!
近期被揭露的OpenSSL存在Heartbleed漏洞 (CVE-2014-0160),是因為程式撰寫考慮不盡周全造成這個漏洞的產生。Heartbleed漏洞在技術上可以讓記憶體中的重要資料,包括SSL私鑰或密碼等洩露出去。詳細的原因,主要是因為OpenSSL的程式在取SSLv3記錄時未檢查長度,有心人可以藉由送一個非預期長度的要求,讓程式讀取記憶體中不該被讀取的位置後回應要求,進而洩漏出十分機敏的資訊。
這個漏洞影響的版本為OpenSSL 1.0.1到1.0.1f,OpenSSL官方也釋出了OpenSSL 1.0.1g修正了這個問題。這個漏洞之所以影響層面如此之大是因為受此漏洞影響的版本都是較新的OpenSSL版本,經常跟著修正更新的伺服器,或使用近期版本的Unix-like的作業系統預設的OpenSSL,都會受此漏洞影響;另外一個大問題就是使用OpenSSL服務的伺服器非常多,包括國內外許多政府及國安單位也都有採用,再加上在此漏洞被揭露後,測試與攻擊程式也迅速的被撰寫出來。因此,在修補此漏洞完成前的空窗期,使用受影響版本的OpenSSL服務都可能因此受駭!
中華數位科技在此漏洞被揭露的第一時間即已完成盤查,相關的產品皆不受此漏洞影響。若您擔心您公司的網站可能存在Heartbleed漏洞問題,您可以使用這個網站進行檢測:http://filippo.io/Heartbleed/,或以SSH的連線方式登入您的Server,再以openssl version這個指令,確認一下您目前使用的OpenSSL是不是受影響的版本。

您需要登錄後才可以回帖 登錄 | 註冊

本版積分規則

手機版|聯絡站長|重灌狂人|狂人論壇

GMT+8, 2020-9-28 10:59

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回復 返回頂部 返回列表